- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
dmx_glxvisuals.c File Reference
`#include "dmx.h"`
`#include <GL/glx.h>`
`#include <GL/glxproto.h>`
`#include <X11/extensions/Xext.h>`
`#include <X11/extensions/extutil.h>`
`#include "dmx_glxvisuals.h"`

## Functions
__GLXvisualConfig * | GetGLXVisualConfigs (Display *dpy, int screen, int *nconfigs)
__GLXFBConfig * | GetGLXFBConfigs (Display *dpy, int glxMajorOpcode, int *nconfigs)
__GLXvisualConfig * | GetGLXVisualConfigsFromFBConfigs (__GLXFBConfig *fbconfigs, int nfbconfigs, XVisualInfo *visuals, int nvisuals, __GLXvisualConfig *glxConfigs, int nGlxConfigs, int *nconfigs)

## Function Documentation

__GLXFBConfig* GetGLXFBConfigs | ( | Display * | dpy,
|  | int | glxMajorOpcode,
|  | int * | nconfigs
| ) |  |

Referenced by InitOutput().

__GLXvisualConfig* GetGLXVisualConfigs | ( | Display * | dpy,
|  | int | screen,
|  | int * | nconfigs
| ) |  |

Referenced by InitOutput().

__GLXvisualConfig* GetGLXVisualConfigsFromFBConfigs | ( | __GLXFBConfig * | fbconfigs,
|  | int | nfbconfigs,
|  | XVisualInfo * | visuals,
|  | int | nvisuals,
|  | __GLXvisualConfig * | glxConfigs,
|  | int | nGlxConfigs,
|  | int * | nconfigs
| ) |  |

Referenced by InitOutput().